using System.Runtime.InteropServices;
using Decal.Interop.DHS;

namespace Decal.DHS
{
    [ComVisible(true)]
    [Guid("F5AA853D-CCF3-4562-A654-3A68AB583BCC")]
    [ClassInterface(ClassInterfaceType.None)]
    [ProgId("DHS.Hotkey")]
    public class HotkeyImpl : IHotkey
    {
        public string EventTitle { get; set; }
        public string EventDescription { get; set; }
        public bool AltState { get; set; }
        public bool ControlState { get; set; }
        public bool ShiftState { get; set; }
        public int VirtualKey { get; set; }
    }
}
